| Version: 3.1.5

Classes | Enumerations | Variables
dir.h File Reference

## Classes
class | wxDirTraverser
| wxDirTraverser is an abstract interface which must be implemented by objects passed to wxDir::Traverse() function. More...
class | wxDir
| wxDir is a portable equivalent of Unix open/read/closedir functions which allow enumerating of the files in a directory. More...

## Enumerations
enum | wxDirTraverseResult { wxDIR_IGNORE = -1 , wxDIR_STOP , wxDIR_CONTINUE }
| Possible return values of wxDirTraverser callback functions. More...
enum | wxDirFlags { wxDIR_FILES = 0x0001 , wxDIR_DIRS = 0x0002 , wxDIR_HIDDEN = 0x0004 , wxDIR_DOTDOT = 0x0008 , wxDIR_NO_FOLLOW = 0x0010 , wxDIR_DEFAULT = wxDIR_FILES | wxDIR_DIRS | wxDIR_HIDDEN }
| These flags affect the behaviour of GetFirst/GetNext() and Traverse(), determining what types are included in the list of items they produce. More...

## Variables
wxULongLong | wxInvalidSize
| The return value of wxDir::GetTotalSize() in case of error. More...

## Enumeration Type Documentation

## ◆ wxDirFlags

enum wxDirFlags

These flags affect the behaviour of GetFirst/GetNext() and Traverse(), determining what types are included in the list of items they produce.

Enumerator
wxDIR_FILES | Includes files.
wxDIR_DIRS | Includes directories.
wxDIR_HIDDEN | Includes hidden files.
wxDIR_DOTDOT | Includes "." and "..".
wxDIR_NO_FOLLOW | Don't follow symbolic links during the directory traversal. This flag is ignored under systems not supporting symbolic links (i.e. non-Unix ones). Notice that this flag is not included in wxDIR_DEFAULT and so the default behaviour of wxDir::Traverse() is to follow symbolic links, even if they lead outside of the directory being traversed. Since 2.9.5
wxDIR_DEFAULT | Default directory traversal flags include both files and directories, even hidden. Notice that by default wxDIR_NO_FOLLOW is not included, meaning that symbolic links are followed by default. If this is not desired, you must pass that flag explicitly.

## ◆ wxDirTraverseResult

enum wxDirTraverseResult

Possible return values of wxDirTraverser callback functions.

Enumerator
wxDIR_IGNORE | Ignore this directory but continue with others.
wxDIR_STOP | Stop traversing.
wxDIR_CONTINUE | Continue into this directory.

## Variable Documentation

## ◆ wxInvalidSize

wxULongLong wxInvalidSize

The return value of wxDir::GetTotalSize() in case of error.